Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# dePluginSHA1 Class Reference

`#include <dePlugins_priv.hpp>`

Inheritance diagram for dePluginSHA1:

[legend]
Collaboration diagram for dePluginSHA1:

[legend]
List of all members.

## Public Member Functions
| dePluginSHA1 ()
| ~dePluginSHA1 ()
void * | GetInterface (IdePlugin::interface_t i)
int | Release ()
deBoolean | EncodeData (void *Buffer, DWORD Length, void *NewBuffer, DWORD *NewLength)
deBoolean | DecodeData (void *Buffer, DWORD Length, void *NewBuffer, DWORD *NewLength)
DWORD | MaxEncodeLength (DWORD Length)
DWORD | MaxDecodeLength (void *Buffer)
## Private Types
typedef dePluginSHA1::SHA1Header | SHA1Header
## Private Member Functions
deBoolean | ValidSize (int Size)

## Member Typedef Documentation

typedef struct dePluginSHA1::SHA1Header dePluginSHA1::SHA1Header`[private]`

## Constructor & Destructor Documentation

dePluginSHA1::dePluginSHA1 | ( |  | ) |

dePluginSHA1::~dePluginSHA1 | ( |  | ) |

## Member Function Documentation

deBoolean dePluginSHA1::DecodeData | ( | void * | Buffer,
|  | DWORD | Length,
|  | void * | NewBuffer,
|  | DWORD * | NewLength
| ) | `[virtual]`

| Implements dePlugin.

deBoolean dePluginSHA1::EncodeData | ( | void * | Buffer,
|  | DWORD | Length,
|  | void * | NewBuffer,
|  | DWORD * | NewLength
| ) | `[virtual]`

| Implements dePlugin.

void * dePluginSHA1::GetInterface | ( | IdePlugin::interface_t | i | ) |

| Reimplemented from dePlugin.

DWORD dePluginSHA1::MaxDecodeLength | ( | void * | Buffer | ) | `[virtual]`

| Implements dePlugin.

DWORD dePluginSHA1::MaxEncodeLength | ( | DWORD | Length | ) | `[virtual]`

| Implements dePlugin.

int dePluginSHA1::Release | ( |  | ) |

| Reimplemented from dePlugin.

deBoolean dePluginSHA1::ValidSize | ( | int | Size | ) | `[private]`

The documentation for this class was generated from the following files:

- dePlugins_priv.hpp
- dePluginSHA1.cpp